#!/bin/sh

set -e

case "${1}" in
	configure)
		. /usr/share/debconf/confmodule

		db_get powerline/enable
		POWERLINE_ENABLE="${RET}" # boolean

		db_stop

		rm -f /etc/profile.d/zz-powerline.sh

		for ENABLE in $(echo ${POWERLINE_ENABLE} | sed -e 's|,| |g')
		do
			case "${ENABLE}" in
				bash)
					ln -sf /usr/share/powerline/integrations/powerline.sh /etc/profile.d/zz-powerline.sh
					;;
			esac
		done
		;;

	abort-upgrade|abort-remove|abort-deconfigure)

		;;

	*)
		echo "postinst called with unknown argument \`${1}'" >&2
		exit 1
		;;
esac

#DEBHELPER#

exit 0
